## org.apache.maven.shared.jar.identification.exposers
Class RepositorySearchExposer

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.apache.maven.shared.jar.identification.exposers.RepositorySearchExposer

All Implemented Interfaces:
  JarIdentificationExposer, org.codehaus.plexus.logging.LogEnabled

    public class RepositorySearchExposer

extends org.codehaus.plexus.logging.AbstractLogEnabled
implements JarIdentificationExposer

Exposer that examines a Maven repository for identical files to the JAR being analyzed. It will look for both identical files, and files with identical classes.

Note: if not using Plexus, you must call the following methods to be able to expose any data from the class: `setBytecodeHashAnalyzer(org.apache.maven.shared.jar.identification.hash.JarHashAnalyzer)`, `setFileHashAnalyzer(org.apache.maven.shared.jar.identification.hash.JarHashAnalyzer)`, `setRepositoryHashSearch(org.apache.maven.shared.jar.identification.repository.RepositoryHashSearch)`

Plexus Component:
  role="org.apache.maven.shared.jar.identification.JarIdentificationExposer" role-hint="repositorySearch"

Constructor Summary
`RepositorySearchExposer()`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.
`void` `setBytecodeHashAnalyzer(JarHashAnalyzer bytecodeHashAnalyzer)`
`void` `setFileHashAnalyzer(JarHashAnalyzer fileHashAnalyzer)`
`void` `setRepositoryHashSearch(RepositoryHashSearch repo)`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositorySearchExposer

    public RepositorySearchExposer()

Method Detail

### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

  Description copied from interface: `JarIdentificationExposer`
  Expose metadata during the identification process.

  Specified by:
    `expose` in interface `JarIdentificationExposer`
  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

### setRepositoryHashSearch

    public void setRepositoryHashSearch(RepositoryHashSearch repo)

### setFileHashAnalyzer

    public void setFileHashAnalyzer(JarHashAnalyzer fileHashAnalyzer)

### setBytecodeHashAnalyzer

    public void setBytecodeHashAnalyzer(JarHashAnalyzer bytecodeHashAnalyzer)

Copyright © 2011. All Rights Reserved.